
Foreman - Feature #1313

ensure all host names are lower cased

11/11/2011 01:52 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Florian Koch   

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

recent version of puppet requires certificate names to be lowercase:

/usr/lib/ruby/site_ruby/1.8/puppet/defaults.rb:197:in `handle': Certificate names must be lower ca

se; see #1168 (ArgumentError)

Associated revisions

Revision 1704e000 - 01/08/2012 01:41 PM - Florian Koch

fixes #1313 ensure all host names are lowercased

Signed-off-by: Florian Koch <florian.koch1981@googlemail.com>

History

#1 - 11/13/2011 08:14 AM - Ohad Levy

- Target version changed from 1.0 to 0.4.1

#2 - 11/26/2011 10:57 AM - Florian Koch

Hi,

should the lowercase names forced or only validated?

rgds f0

#3 - 11/28/2011 02:56 PM - Florian Koch

- % Done changed from 0 to 90

Hi,

i have the validation and db migration ready. now i run some tests and then send the patch to dev.

rgds f0

#4 - 11/30/2011 01:42 PM - Florian Koch

- % Done changed from 90 to 100

https://groups.google.com/group/foreman-dev/browse_thread/thread/40f7702b92238c7a

#5 - 12/25/2011 08:13 AM - Ohad Levy

- Assignee set to Florian Koch

Hi Florian,

Any change on this one? Thanks!
Ohad

#6 - 12/26/2011 02:20 AM - Ohad Levy

- Target version changed from 0.4.1 to 1.0

#7 - 01/09/2012 01:05 AM - Florian Koch

- Status changed from New to Closed

Applied in changeset 1704e000a517c327f26ffd728cbc7ca273ad7593.
